'use strict';

import {createHmac} from 'crypto';
import conf from './config';

export default (session_token) => {
	// I think this is fine as long as the secret is really big?
	// TODO: maybe validate?
	const hmac = createHmac('sha256', conf.security.secret);
	hmac.write(session_token);
	hmac.end();
	return hmac.read().toString('base64');
};
	

