'use strict';

/**
 * This table maps to either a master form or proxy form.
 * - table name
 * - table's translatable name
 * - table's fields
 * - table's translatable field name
 */
export default (table) => {
	
	// translatable name for the form
	table.text('form_name');
	// name used in the db, etc
	table.text('form_system_name');
	// For now these are going to be the only form types.
	table.enum('form_type', ['master', 'proxy']);

};
