'use strict';

/**
 * Since forms are more complex structures because they're user-defined, I
 * think I need a more specific table to avoid key collisions.
 */
export default (table) => {
	// db name
	table.text('form_system_name');
	// The field system name
	table.text('form_system_field');
	// The language. This encompases the locale as well.
	table.text('language');
	// used for translation token.
	table.text('key');
	// The value for the translation.
	table.text('value');
};
