'use strict';

export default (table) => {
	// json as mysql doesn't support arrays, but does allow json
	table.json('roles');
	table.text('id');
	table.text('name');
	table.text('password');
	table.text('email');
	table.boolean('active').defaultTo(false);
	table.text('first_name');
	table.text('last_name');
	table.text('last_failed_login');
	// The number of *consecutive* failed login attempts.
	table.integer('failed_logins').defaultTo(0).notNullable();
};
