'use strict';

import '../../globals';
import bcrypt from '../../../lib/promise/bcrypt';

const foobarPw = _ => bcrypt.hash('foobar', 10);

describe('bcrypt', _ => {
	it('should return something..', () => {
		return foobarPw()
			.then((pw) => {
				expect(pw).to.not.be.empty;
			});
	});
	it('should be comparable', () => {
		return foobarPw()
			.then((hashed) => {
				return bcrypt.compare('foobar', hashed);
			})
			.then((isMatch) => {
				expect(isMatch).to.be.true;
			});
	});
});
