'use strict';
import conf from '../config';
import knexJs from 'knex';
import B from 'bluebird';
import R from 'ramda';
import schemaInjectable from './schema';

const knex = knexJs(conf.db);
const schema = schemaInjectable(knex);

export default () => {
	return B.map(R.keys(schema), (table_name) => knex(table_name).del());
	//.then(() => {
		//console.log('All rows deleted');
		//process.exit(0);
	//});
};

