import conf from './config';
import winston from 'winston';

const { Console, File } = winston.transports;

const log = new (winston.Logger)({
	transports: [
		new (Console)({ level: conf.log.level })
	].concat(conf.log.file ? new (File)({ level: conf.log.level }) : [])
});

export default winston;
